Summary:	A C++ interface for the GTK+ (a GUI library for X) - cross MinGW32 version
Summary(pl.UTF-8):	Wrapper C++ dla GTK+ - skrośna wersja MinGW32
%define		realname   gtkmm
Name:		crossmingw32-%{realname}
Version:	2.24.5
Release:	5
License:	LGPL v2+
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtkmm/2.24/%{realname}-%{version}.tar.xz
# Source0-md5:	6c59ae8bbff48fad9132f23af347acf1
URL:		https://www.gtkmm.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	crossmingw32-atkmm >= 2.22.2
BuildRequires:	crossmingw32-cairomm >= 1.6.3
BuildRequires:	crossmingw32-gcc-c++ >= 3.3.1
BuildRequires:	crossmingw32-glibmm >= 2.28.0
BuildRequires:	crossmingw32-gtk+2 >= 2.20.0
BuildRequires:	crossmingw32-pangomm >= 2.28.0
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.9.8
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig >= 1:0.15
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-atkmm >= 2.22.2
Requires:	crossmingw32-cairomm >= 1.6.3
Requires:	crossmingw32-gtk+2 >= 2.20.0
Requires:	crossmingw32-pangomm >= 2.28.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

This package contains the cross version for Win32.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static gtkmm libraries (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczne biblioteki gtkmm (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static gtkmm libraries (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczne biblioteki gtkmm (wersja skrośna MinGW32).

%package dll
Summary:	DLL gtkmm libraries for Windows
Summary(pl.UTF-8):	Biblioteki DLL gtkmm dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-atkmm-dll >= 2.22.2
Requires:	crossmingw32-cairomm-dll >= 1.6.3
Requires:	crossmingw32-glibmm-dll >= 2.28.0
Requires:	crossmingw32-gtk+2-dll >= 2.20.0
Requires:	crossmingw32-pangomm-dll >= 2.28.0
Requires:	wine

%description dll
DLL gtkmm libraries for Windows.

%description dll -l pl.UTF-8
Biblioteki DLL gtkmm dla Windows.

%prep
%setup -q -n %{realname}-%{version}

%build
export PKG_CONFIG_LIBDIR=%{_prefix}/lib/pkgconfig:%{_npkgconfigdir}
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
# std-threads required by glibmm requires at least WinXP API
CPPFLAGS="%{rpmcppflags} -DWINVER=0x0501"
%configure \
	--targe=%{target} \
	--host=%{target} \
	--disable-documentation \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS PORTING README
%{_libdir}/libgdkmm-2.4.dll.a
%{_libdir}/libgtkmm-2.4.dll.a
%{_libdir}/gdkmm-2.4
%{_libdir}/gtkmm-2.4
%{_includedir}/gdkmm-2.4
%{_includedir}/gtkmm-2.4
%{_pkgconfigdir}/gdkmm-2.4.pc
%{_pkgconfigdir}/gtkmm-2.4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkmm-2.4.a
%{_libdir}/libgtkmm-2.4.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libgdkmm-2.4-1.dll
%{_dlldir}/libgtkmm-2.4-1.dll
%changelog
* Thu Sep 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-gtkmm.git;a=log;h=master

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 9f75de1
- drop .la file; release 5

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 8c94178
- explicit dll "sonames"

* Sat Dec 22 2018 Jakub Bogusz <qboosh@pld-linux.org> dbc0cdd
- release 4

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> c16ab63
- enable WinXP APIs for std-threads; release 3

* Sun Mar 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 8349000
- release 2

* Tue Sep 06 2016 Jakub Bogusz <qboosh@pld-linux.org> d8511f0
- updated to 2.24.5

* Sun Jul 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 9074e73
- updated to 2.24.4

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 423b563
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> f775ba4
- do not provide pkgconfig deps in system namespace

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 27422a4
- updated filterout_ defines

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 13047e4
- updated to 2.24.3

* Thu Jul 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 0b8f4ca
- updated to 2.24.2

* Fri Mar 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 2c2b6ad
- updated to 2.24.0

* Wed Nov 17 2010 Jakub Bogusz <qboosh@pld-linux.org> 1560fce
- updated to 2.22.0

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> b456b73
- updated to 2.20.3

* Sun Apr 12 2009 Jakub Bogusz <qboosh@pld-linux.org> c8a2d12
- updated to 2.16.0

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> f8f97f5
- updated to 2.14.3

* Sat Nov 15 2008 Jakub Bogusz <qboosh@pld-linux.org> f155b15
- updated to 2.14.1
- pangomm separate now

* Sat Nov 15 2008 Jakub Bogusz <qboosh@pld-linux.org> d8680ab
- updated URL

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> e628b0d
- obsolete

